Subject: [Sip] TCP and RPORT - exact behavior

From: "Saint" <[email-masked]>
Date: Mon, 16 Apr 2007 18:40:40 +0900

Hi experts,
 
In  RFC3581, rport is specially designed for UDP case but as well as can be used with TCP.
Question is , when rport is used with TCP, then should I have to reconnect to SIP container with rport value ?
There's an pending issue between CSCF and SIP container, SIP container send message to CSCF with rport parameter via TCP. CSCF disconnect current TCP connection with SIP container and try to open new socket with rport value. 
Is this correct behavior ?
Is there any detailed guidelines about this kind of situation ?
 
Thanks.
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Sanjay Sinha \(sanjsinh\)" <[email-masked]>
Date: Mon, 16 Apr 2007 12:41:57 -0400

Inline ..

________________________________

	From: Saint [mailto:[email-masked]] 
	Sent: Monday, April 16, 2007 5:41 AM
	To: [email-masked]
	Subject: [Sip] TCP and RPORT - exact behavior

	Hi experts,
	 
	In  RFC3581, rport is specially designed for UDP case but as
well as can be used with TCP.
	[Sanjay Sinha (sanjsinh)]  For TCP, the response is sent on the
connection on which request was received, so there is no need for rport
parameter with tcp.
	Question is , when rport is used with TCP, then should I have to
reconnect to SIP container with rport value ?
	There's an pending issue between CSCF and SIP container, SIP
container send message to CSCF with rport parameter via TCP. CSCF
disconnect current TCP connection with SIP container and try to open new
socket with rport value. 
	Is this correct behavior ?
	[Sanjay Sinha (sanjsinh)] CSCF should not disconnect the
connection on which request was received without sending any response.
	Is there any detailed guidelines about this kind of situation ?
	[Sanjay Sinha (sanjsinh)]  Section 5 of RFC 3263 
	 
	Thanks.

---

From: "Saint" <[email-masked]>
Date: Tue, 17 Apr 2007 16:36:22 +0900

Thanks very much, 
 
One more short question, if the implementation add rport parameter on TCP
message, is it illegal ?
 
for example,
 
Via: SIP/2.0/TCP 10.1.1.1:4540;rport; branch=z9hG4bKkjshdyff
 
Is this allowed ?
 
Thanks
 
Saint.

  _____  

From: Sanjay Sinha (sanjsinh) [mailto:[email-masked]] 
Sent: 2007? 4? 17? ??? ?? 1:42
To: Saint; [email-masked]
Subject: RE: [Sip] TCP and RPORT - exact behavior

Inline ..

  _____  

Hi experts,
 
In  RFC3581, rport is specially designed for UDP case but as well as can be
used with TCP.
[Sanjay Sinha (sanjsinh)]  For TCP, the response is sent on the connection
on which request was received, so there is no need for rport parameter with
tcp.
Question is , when rport is used with TCP, then should I have to reconnect
to SIP container with rport value ?
There's an pending issue between CSCF and SIP container, SIP container send
message to CSCF with rport parameter via TCP. CSCF disconnect current TCP
connection with SIP container and try to open new socket with rport value. 
Is this correct behavior ?
[Sanjay Sinha (sanjsinh)] CSCF should not disconnect the connection on which
request was received without sending any response.
Is there any detailed guidelines about this kind of situation ?
[Sanjay Sinha (sanjsinh)]  Section 5 of RFC 3263 
 
Thanks.